Package com.sun.jna.platform.mac

# Class IOKit.IOIterator

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.platform.mac.IOKit.IOObject
com.sun.jna.platform.mac.IOKit.IOIterator

All Implemented Interfaces:
  `NativeMapped`

Enclosing interface:
  IOKit

public static class IOKit.IOIterator extends IOKit.IOObject
An IOKit iterator handle.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IOIterator()`
  `IOIterator(Pointer p)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IOKit.IORegistryEntry`
  `next()`
  Convenience method for `IOKit.IOIteratorNext(com.sun.jna.platform.mac.IOKit.IOIterator)` on this object.

  ### Methods inherited from class com.sun.jna.platform.mac.IOKit.IOObject

  `conformsTo, release`

  ### Methods inherited from class com.sun.jna.PointerType

  `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IOIterator

    public IOIterator()

  - ### IOIterator

    public IOIterator(Pointer p)

- ## Method Details

  - ### next

    public IOKit.IORegistryEntry next()
    Convenience method for `IOKit.IOIteratorNext(com.sun.jna.platform.mac.IOKit.IOIterator)` on this object.
    Returns:
      If the iterator handle is valid, the next element in the iteration is returned, otherwise `null` is returned. The element should be released by the caller when it is finished.